com.h3c.sdn.topology.model

## Class BroadcastTree

- java.lang.Object
- - com.h3c.sdn.topology.model.BroadcastTree

-     public class BroadcastTree
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected HashMap<Long,Integer>` | `costs`
    `protected HashMap<Long,LinkedEntities>` | `links`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BroadcastTree()`
    `BroadcastTree(HashMap<Long,LinkedEntities> links, HashMap<Long,Integer> costs)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTreeLink(long myNode, LinkedEntities link)`
    `int` | `getCost(long node)`
    `HashMap<Long,Integer>` | `getCosts()`
    `HashMap<Long,LinkedEntities>` | `getLinks()`
    `LinkedEntities` | `getTreeLink(long node)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### links

          protected HashMap<Long,LinkedEntities> links

    - #### costs

          protected HashMap<Long,Integer> costs

  - ### Constructor Detail

    - #### BroadcastTree

          public BroadcastTree()

    - #### BroadcastTree

          public BroadcastTree(HashMap<Long,LinkedEntities> links,
                       HashMap<Long,Integer> costs)

  - ### Method Detail

    - #### getTreeLink

          public LinkedEntities getTreeLink(long node)

    - #### getCost

          public int getCost(long node)

    - #### getLinks

          public HashMap<Long,LinkedEntities> getLinks()

    - #### addTreeLink

          public void addTreeLink(long myNode,
                         LinkedEntities link)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getCosts

          public HashMap<Long,Integer> getCosts()

Copyright © 2014. All Rights Reserved.